#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.4
visibility:           public
id:                   http-client-restricted-0.0.4-As6GSADjo3aEaqP7KbZkVy
key:                  http-client-restricted-0.0.4-As6GSADjo3aEaqP7KbZkVy
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  70488b499841465a7e57519cbd17f0b9
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-8.10.3/site-local/http-client-restricted-0.0.4
library-dirs:         /usr/lib/ghc-8.10.3/site-local/http-client-restricted-0.0.4
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.3/http-client-restricted-0.0.4

hs-libraries:         HShttp-client-restricted-0.0.4-As6GSADjo3aEaqP7KbZkVy
depends:
    base-4.14.1.0 connection-0.3.1-JEgZrUkysSFJ5hTvcgvTQF
    data-default-0.7.1.1-3HAO6D9RwHZCurbS6LD13j
    http-client-0.7.4-H7xy9cDOuhwCGoFHgsc9zq
    http-client-tls-0.3.5.3-EHcfqWiHN8RBnZbuauJXpb
    network-3.1.2.1-ESgFvcx6XpxGXZaMhj9jv9
    network-bsd-2.8.1.0-FjpKVbaHU1y6X6jTbCAZpB
    utf8-string-1.0.2-CkwPGvXHIXdEOOrPn2UOUp

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

